/**/
/*** MOTION ***/
/**/

.js .js-scroll {
	opacity: 0;
	transform: translate3d(0, 1.5rem, 0);
	transition: opacity 700ms var(--ease-out), transform 700ms var(--ease-out);
	will-change: opacity, transform;
}

.js .js-scroll.scrolled {
	opacity: 1;
	transform: none;
}

@media (prefers-reduced-motion: reduce), print {
	*,
	*::before,
	*::after {
		scroll-behavior: auto !important;
		animation-duration: 0.01ms !important;
		animation-iteration-count: 1 !important;
		transition-duration: 0.01ms !important;
	}

	.js .js-scroll,
	.js .js-scroll.scrolled {
		opacity: 1;
		transform: none;
		will-change: auto;
	}
}
